Subject: RE: Adopt PW-MPLS MIB as PWE3 WG document... Yes!

From: "tom k. johnson" <[email-masked]>
Date: Tue, 14 May 2002 17:47:08 -0400

I agree with Prayson.  

Tom N, Dave Z, and Dave D have put a lot of time into these drafts.  They have thought through many different scenarios and applications, and worked and re-worked the structures to address various concerns and suggestions raised both on and off-list by members of the WG.  As far as I can tell, they conform to the charter, and to the protocol layering model governing the PWE3 work, and don't rely on the details of any specific service drafts.

And (gasp!) they even compile them from time-to-time to make sure the syntax is correct :-)

Of course some things will change.  But based on other MIBs that I've seen (some of which don't even compile!), I'd say this is pretty reasonable starting point.  Let's get these things adopted.

Thanks!

-Tom

> -----Original Message-----
> From: Prayson Pate [mailto:[email-masked]]
> Sent: Tuesday, May 14, 2002 5:19 PM
> To: [email-masked]
> Subject: RE: [PWE3] Adopt PW-MPLS MIB as PWE3 WG document 
> 
> 
> I would like to add my voice to those who have expressed support for
> accepting these documents as WG drafts.  There are some 
> technical issues to
> address, but there seems to be consensus that they are a very 
> good starting
> point.
> 
> Prayson
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of
> > Thomas D. Nadeau
> > Sent: Tuesday, May 14, 2002 4:45 PM
> > To: Shahram Davari
> > Cc: [email-masked]
> > Subject: RE: [PWE3] Adopt PW-MPLS MIB as PWE3 WG document
> >
> >
> > At 01:38 PM 5/14/2002 -0700, Shahram Davari wrote:
> > >Thom,
> > >
> > >I have no problem with your MIB drafts. However, in the first 3
> > bullets I
> > >tried to show
> > >that they are not totally independent of the services 
> (although I agree
> > >the service dependency
> > >is not huge).
> > >
> > >If the WG and authors are ready to accept the fact that 
> they may need to
> > >change parts of these documents
> > >based on the outcome of the service definitions. Then there is
> > no problem
> > >with accepting it as a WG document.
> > >
> > >Do you agree?
> >
> >          Yes.
> >
> >          --Tom
> >
> >
> >
> > >Yours,
> > >-Shahram
> > >
> > >
> > > > -----Original Message-----
> > > > From: Thomas D. Nadeau [mailto:[email-masked]]
> > > > Sent: Tuesday, May 14, 2002 4:29 PM
> > > > To: Shahram Davari
> > > > Cc: [email-masked]
> > > > Subject: RE: [PWE3] Adopt PW-MPLS MIB as PWE3 WG document
> > > >
> > > >
> > > >
> > > > >OK. The following MIB objects needs WG consensus:
> > > >
> > > >          Sharam, although you bring up some interesting 
> technical
> > > > questions (which I will get to in another email), they 
> deflect the
> > > > actual question at hand. Technically nothing in the PW 
> MIB drafts
> > > > need working group consensus until they become working 
> group drafts
> > > > other than an agreement that the stuff in the draft is a
> > > > reasonable point from
> > > > which to work (they are still individual submissions after
> > > > all).  As has been
> > > > mentioned by many folks already, the question at hand 
> is not whether
> > > > the documents are perfect, but instead whether or not these
> > > > documents are a
> > > > reasonable place to start from.  Once accepted, there is no
> > > > question in my
> > > > mind that they will need additional modifications to fit in
> > > > with the other
> > > > items
> > > > being worked on by the working group.
> > > >
> > > >          Can the chair please comment on whether or not
> > > > consensus has been reached on the question of whether to
> > > > adopt the PW-MIB, PW-TC-MIB and PW-MPLS-MIB?
> > > >
> > > >          --Tom
> > > >
> > > >
> > > > >1) PwVcType has types such as atmTransparent and
> > > > ethernet/VLAN, which are not
> > > > >    agreed by the WG.
> > > > >2) pwVCPriority: QoS issue has not be resolved by the WG
> > > > yet. For example
> > > > >if Diffserv is
> > > > >    used the priority has no meaning.
> > > > >3) PwVCType: mplsOverIp and Ip are not defined or 
> agreed by the WG.
> > > > >
> > > > >Following are my technical comments:
> > > > >
> > > > >1) What is Global VC label space? Do you mean per-platform?
> > > > if so please
> > > > >correct.
> > > > >2) The MTU is not applicable to some VC types, so why is it
> > > > in PW-MIB
> > > > >instead of service MIB?
> > > > >3) Why is the size of the L2TP session ID different between the
> > > > >pwVcOutboundVcLabel and pwVcinboundVcLabel?
> > > > >4) MPLS LSR is not a good name, because it does not convey
> > > > the proper
> > > > >information. You could use MPLS-LDP or MPLS non-TE.
> > > > >5) In page 7 of pw-mpls-mib: what is MPLS-LSP? did you 
> mean MPLS-LSR?
> > > > >6) In page 8 of pw-mpls-mib: what do you mean by combination
> > > > of LDP and
> > > > >MPLS-TE? do you mean backup LSP is LDP based?
> > > > >7) What is "active conservative mode"? And why is the 
> Inbound group
> > > > >mandatory for it?
> > > > >8) Can you give an example of what signaling protocol for VC
> > > > setup may be
> > > > >a candidate
> > > > >for strict vc lookup?
> > > > >9) Since DU LDP (as defined in Martini) can't support strict
> > > > mode, then
> > > > >why is LDP mentioned
> > > > >in the pwVcmplsInboundEntry?
> > > > >
> > > > >-Shahram
> > > > >
> > > > >
> > > > >
> > > > >
> > > > > > -----Original Message-----
> > > > > > From: Eric Rosen [mailto:[email-masked]]
> > > > > > Sent: Thursday, May 09, 2002 11:33 AM
> > > > > > To: Shahram Davari
> > > > > > Cc: 'Thomas D. Nadeau'; Khalid Ahmad; [email-masked]
> > > > > > Subject: Re: [PWE3] Adopt PW-MPLS MIB as PWE3 WG document
> > > > > >
> > > > > >
> > > > > >
> > > > > > Shahram> when there are  competing non-WG drafts, it does
> > > > > > not feel right to
> > > > > > Shahram> adapt a  draft as a  WG document that  references
> > > > > > (or is  based on)
> > > > > > Shahram> only one of those competing drafts.
> > > > > >
> > > > > > If the content of the draft is  at odds with the content of
> > > > > > some other draft
> > > > > > that you like, then the technical  issue should be discussed
> > > > > > so that one can
> > > > > > determine whether  the draft is  or is not  a good starting
> > > > > > point.   If it's
> > > > > > just that you  think additional docs should be referenced,
> > > > > > then you can ask
> > > > > > the authors to do that.
> > > > > >
> > > > > > I  think that  people who  are used  to working  in certain
> > > > > > other standards
> > > > > > organizations keep trying to cite procedural issues 
> that just
> > > > > > don't exist in
> > > > > > the IETF.  This wastes everyone's time  as the only thing
> > > > > > really of interest
> > > > > > here is the content.
> > > > > >
> > > > >
> > > > >_______________________________________________
> > > > >pwe3 mailing list
> > > > >[email-masked]
> > > > >https://www1.ietf.org/mailman/listinfo/pwe3
> > > >
> > > >
> > > >
> > > > --------------------------------------------------------------
> > > > ----------
> > > > Mathematics is the supreme nostalgia of our time.
> > > >
> >
> >
> >
> > 
> --------------------------------------------------------------
> ----------
> > Mathematics is the supreme nostalgia of our time.
> >
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>